const datos = {
    nombre: '',
    email: '',
    mensaje: ''
}

const nombre = document.querySelector('#nombre');
const email = document.querySelector('#email');
const mensaje = document.querySelector('#mensaje');


nombre.addEventListener('input', leerTexto);
email.addEventListener('input', leerTexto);
mensaje.addEventListener('input', leerTexto);

function leerTexto(e) {
    datos[e.target.id] = e.target.value;
    console.log(datos);
}


// submit
const formulario = document.querySelector('.formulario');
formulario.addEventListener('submit', function (e) {

    //1º preveemos el evento original
    e.preventDefault();
    console.log('Di click y la página ya no recarga');

    console.log(datos);

    //2º VALIDAR

    //desctructuring
    const { nombre, email, mensaje } = datos;
    console.log(nombre);
    console.log(email);
    console.log(mensaje);

    //3º ENVIAR


});